/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.screamingcoder.plebeians.bootstrap;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import org.jboss.webbeans.bootstrap.spi.EjbDiscovery;
import org.jboss.webbeans.ejb.spi.EjbDescriptor;

/**
 *
 * @author JBoss.org, modifications by pete (at screamingcoder.com)
 */
public class MockEjbDiscovery implements EjbDiscovery
{
   
   private final List<EjbDescriptor<?>> ejbs;

   public MockEjbDiscovery(Iterable<Class<?>> allClasses)
   {
      
      this.ejbs = new ArrayList<EjbDescriptor<?>>();
      for (Class<?> ejbClass : discoverEjbs(allClasses))
      {
         this.ejbs.add(MockEjbDescriptor.of(ejbClass));
      }
   }

   public Iterable<EjbDescriptor<?>> discoverEjbs()
   {
      return ejbs;
   }
   
   protected static Iterable<Class<?>> discoverEjbs(Iterable<Class<?>> webBeanClasses)
   {
      Set<Class<?>> ejbs = new HashSet<Class<?>>();
      return ejbs;
   }
   
}
